Bug 20003 - libmudflap.cth timeouts too short
libmudflap.cth timeouts too short
Status: REOPENED
Product: gcc
Classification: Unclassified
Component: testsuite
4.0.0
: P2 normal
: ---
Assigned To: Not yet assigned to anyone
:
: 23069 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 09:14 UTC by tom mccaffery
Modified: 2010-11-01 02:04 UTC (History)
5 users (show)

See Also:
Host: i686-pc-linux-gnu
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2007-09-21 06:56:31


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tom mccaffery 2005-02-16 09:14:28 UTC
Running /sources/gcc-4.0-20050130/libmudflap/testsuite/libmudflap.cth/cthfrags.exp ... 
FAIL: libmudflap.cth/pass40-frag.c execution test 
FAIL: libmudflap.cthh/pass40-frag.c output pattern test 
FAIL: libmudflap.cth/pass40-frag.c (-O2) execution test 
FAIL: libmudflap.cth/pass40-frag.c (-O2) output pattern test 
FAIL: libmudflap.cth/pass40-frag.c (-O3) execution test 
FAIL: libmudflap.cth/pass40-frag.c (-O3) output pattern test
Comment 1 Andrew Pinski 2005-05-18 20:22:24 UTC
Fixed at least in 4.0.1.
Comment 2 gschafer 2005-07-26 06:07:27 UTC
(In reply to comment #1)
> Fixed at least in 4.0.1.

No it's not.
Please see these results for example (all from different folks):

http://gcc.gnu.org/ml/gcc-testresults/2005-07/msg01370.html
http://gcc.gnu.org/ml/gcc-testresults/2005-07/msg01310.html
http://gcc.gnu.org/ml/gcc-testresults/2005-07/msg00831.html
http://gcc.gnu.org/ml/gcc-testresults/2005-07/msg00621.html
http://gcc.gnu.org/ml/gcc-testresults/2005-07/msg00603.html

Here is an example of what shows up in the log file:

Overriding timeout = 20
100 200 300 400 500 600 700 800 900 1000 
1100 1200 1300 1400 1500 1600 1700 1800 1900 2000 
2100 2200 2300 2400 2500 2600 2700 2800 2900 3000 
3100 3200 3300 3400 3500 3600 3700 3800 3900 4000 
4100 4200 4300 4400 4500 4600 4700 4800 4900 5000 
FAIL: libmudflap.cth/pass40-frag.c execution test
FAIL: libmudflap.cth/pass40-frag.c output pattern test
Output pattern 100 200 300 400 500 600 700 800 900 1000 
1100 1200 1300 1400 1500 1600 1700 1800 1900 2000 
2100 2200 2300 2400 2500 2600 2700 2800 2900 3000
3100 3200 3300 3400 3500 3600 3700 3800 3900 4000 
4100 4200 4300 4400 4500 4600 4700 4800 4900 5000  
5100 5200 5300 5400 5500 5600 5700 5800 5900 6000 
6100 6200 6300 6400 6500 6600 6700 6800 6900 7000 
7100 7200 7300 7400 7500 7600 7700 7800 7900 8000
8100 8200 8300 8400 8500 8600 8700 8800 8900 9000
9100 9200 9300 9400 9500 9600 9700 9800 9900 10000

Please reopen bug. Thanks.
Comment 3 Volker Reichelt 2005-08-03 12:05:31 UTC
Reopened on Greg's request.
Comment 4 Serge Belyshev 2005-10-11 07:30:27 UTC
*** Bug 23069 has been marked as a duplicate of this bug. ***
Comment 5 Serge Belyshev 2007-09-21 06:56:31 UTC
Problem still persists, see eg. http://gcc.gnu.org/ml/gcc-testresults/2007-09/msg00911.html

pass40-frag fails due to small timeout (not every box can create 20K threads in 20 seconds especially under high load of make -j4).

pass37-frag and pass39-frag also fail due to improper use of sched_yield(), this patch cures problem for me most of the time:

Index: gcc43/libmudflap/testsuite/libmudflap.cth/pass37-frag.c
===================================================================
--- gcc43.orig/libmudflap/testsuite/libmudflap.cth/pass37-frag.c
+++ gcc43/libmudflap/testsuite/libmudflap.cth/pass37-frag.c
@@ -20,7 +20,6 @@ func (void *p)
 	   libmudflap. */
 	array[x] = i;
       }
-      sched_yield (); /* sleep (1); */
     }
 
   return (NULL);
Index: gcc43/libmudflap/testsuite/libmudflap.cth/pass39-frag.c
===================================================================
--- gcc43.orig/libmudflap/testsuite/libmudflap.cth/pass39-frag.c
+++ gcc43/libmudflap/testsuite/libmudflap.cth/pass39-frag.c
@@ -20,7 +20,6 @@ func (void *p)
       assert (arrays[i] != NULL);
       arrays[i][x] = i;
       free (arrays[i]);
-      sched_yield (); /* sleep (1); */
     }
 
   return (NULL);
Comment 6 Jason Merrill 2010-11-01 02:04:25 UTC
Author: jason
Date: Mon Nov  1 02:04:20 2010
New Revision: 166121

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=166121
Log:
	PR testsuite/20003
	* testsuite/libmudflap.cth/pass40-frag.c: Increase timeout to 30.

Modified:
    trunk/libmudflap/ChangeLog
    trunk/libmudflap/testsuite/libmudflap.cth/pass40-frag.c